C2DMultiImageNonrigidRegister Class Reference
Image Registration and Transformation

A 2D non-rigid registration class for time-marching PDE based registration. More...

`#include <mia/2d/register.hh>`

## Public Member Functions

| C2DMultiImageNonrigidRegister (size_t start_size, size_t max_iter, C2DRegModel &model, C2DRegTimeStep &time_step, C2DTransformCreator &trans_factory, float outer_epsilon)
P2DTransformation | operator() (C2DImageFatCostList &cost, P2DInterpolatorFactory ipf)

## Detailed Description

A 2D non-rigid registration class for time-marching PDE based registration.

The 2D non-rigid image registration class. This class allows the combination of various image cost functions, provides multi-level registration and the use of various PDE models (depending on the provided plug-ins.

Definition at line 41 of file 2d/register.hh.

## Constructor & Destructor Documentation

## C2DMultiImageNonrigidRegister()

C2DMultiImageNonrigidRegister::C2DMultiImageNonrigidRegister | ( | size_t | start_size,
|  | size_t | max_iter,
|  | C2DRegModel & | model,
|  | C2DRegTimeStep & | time_step,
|  | C2DTransformCreator & | trans_factory,
|  | float | outer_epsilon )

The constructor:

Parameters

  start_size | an approximate size for the lowest resolution in the multi-resolution registration
  max_iter | maximum number of times steps to be used at each multi-grid level
  model | the registration model (e.g.- navier for linear elasticity operator)
  time_step | the time step model (e.g. fluid to let the model operator work on the velocity field instead of the deformation field)
  trans_factory | factory for creation of transformations
  outer_epsilon | a relative cost function value per multi-grid level to stop registration

References C2DRegModel.

## Member Function Documentation

## operator()()

P2DTransformation C2DMultiImageNonrigidRegister::operator() | ( | C2DImageFatCostList & | cost,
|  | P2DInterpolatorFactory | ipf )

The registration operator that does the registration

Parameters

  cost | cost function combination to be optimized
  ipf | interpolator to be used for image transformations

Returns
  a vector field describing the registration

References C2DRegModel.

The documentation for this class was generated from the following file:

- 2d/register.hh